Subject: [bug#49868] [PATCH 0/2] guix: dune-build-system: Add a profile parameter.

From: pukkamustard <[email-masked]>
Date: Tue, 24 Aug 2021 07:51:25 +0000

I submitted #50180 to fix builds of ocaml-ppx-hash.

The impact of this seems to be smaller than I feared. Maybe reverting is not necessary.

Still I don't really understand what's going on. I will try and find a concise example and ask the Dune people.

pukkamustard <[email-masked]> writes:

> pukkamustard <[email-masked]> writes:
>
>> For example ocaml-ppxlib builds properly but seems to be broken. Anything depending on ocaml-ppxlib fails with the errors:
>
> This is not true. ocaml-ppx-hash fails to build. But other things depending on ocaml-ppxlib seem to build fine (e.g. ocaml-ppx-optional, ocaml-ppx-assert).